이 섹션의 다중 페이지 출력 화면임. 여기를 클릭하여 프린트.
APIs
- 1: CheckClusterResourceSizeForDataFlowServiceCreate
- 2: CheckClusterResourceSizeForDataFlowServiceUpdate
- 3: CheckDataFlowNameDuplication
- 4: CheckDataFlowServiceNameDuplication
- 5: CreateDataFlow
- 6: CreateDataFlowService
- 7: DeleteDataFlow
- 8: DeleteDataFlowService
- 9: ListDataFlowImages
- 10: ListDataFlowIngressControllers
- 11: ListDataFlows
- 12: ListDataFlowService
- 13: ShowDataFlow
- 14: ShowDataFlowService
- 15: ShowDataFlowServiceSubVersions
- 16: UpdateDataFlow
- 17: UpdateDataFlowService
1 - CheckClusterResourceSizeForDataFlowServiceCreate
1.1 - 1.1
post /v1/data-flow-services/clusters/{cluster_id}/validate-resources
Description
Validate Cluster Resource Size for Data Flow Service Creation.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | cluster_id required | Cluster ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | DataFlowServiceValidateResourceRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ClusterResourceCheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flow-services/clusters/{cluster_id}/validate-resources
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.1"
Request body
{
"service_workload": {
"nifi": {
"cpu": "2000",
"memory": "1024",
"replica": "1",
"version": "1.27.1"
},
"nifi_registry": {
"cpu": "2000",
"memory": "1024",
"replica": "1",
"version": "1.27.1"
},
"zookeeper": {
"cpu": "2000",
"memory": "1024",
"replica": "3",
"version": "3.9.2"
}
}
}
Example HTTP response
Response 200
{
"cpu": "CPU",
"err_code": "",
"memory": "Memory",
"result": ""
}
1.2 - 1.0
post /v1/data-flow-services/clusters/{cluster_id}/validate-resources
Description
Validate Cluster Resource Size for Data Flow Service Creation.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | cluster_id required | Cluster ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | DataFlowServiceValidateResourceRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ClusterResourceCheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flow-services/clusters/{cluster_id}/validate-resources
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.0"
Request body
{
"service_workload": {
"nifi": {
"cpu": "2000",
"memory": "1024",
"replica": "1",
"version": "1.27.1"
},
"nifi_registry": {
"cpu": "2000",
"memory": "1024",
"replica": "1",
"version": "1.27.1"
},
"zookeeper": {
"cpu": "2000",
"memory": "1024",
"replica": "3",
"version": "3.9.2"
}
}
}
Example HTTP response
Response 200
{
"cpu": "CPU",
"err_code": "",
"memory": "Memory",
"result": ""
}
2 - CheckClusterResourceSizeForDataFlowServiceUpdate
2.1 - 1.1
post /v1/data-flow-services/{data_flow_service_id}/validate-resources
Description
Validate Cluster Resource Size for Data Flow Service Update.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_flow_service_id required | data_flow_service_id Example : | string | None |
| body | body required | DataFlowServiceValidateResourceRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ClusterResourceCheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flow-services/{data_flow_service_id}/validate-resources
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.1"
Request body
{
"service_workload": {
"nifi": {
"cpu": "2000",
"memory": "1024",
"replica": "1",
"version": "1.27.1"
},
"nifi_registry": {
"cpu": "2000",
"memory": "1024",
"replica": "1",
"version": "1.27.1"
},
"zookeeper": {
"cpu": "2000",
"memory": "1024",
"replica": "3",
"version": "3.9.2"
}
}
}
Example HTTP response
Response 200
{
"cpu": "CPU",
"err_code": "",
"memory": "Memory",
"result": ""
}
2.2 - 1.0
post /v1/data-flow-services/{data_flow_service_id}/validate-resources
Description
Validate Cluster Resource Size for Data Flow Service Update.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_flow_service_id required | data_flow_service_id Example : | string | None |
| body | body required | DataFlowServiceValidateResourceRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ClusterResourceCheckResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flow-services/{data_flow_service_id}/validate-resources
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.0"
Request body
{
"service_workload": {
"nifi": {
"cpu": "2000",
"memory": "1024",
"replica": "1",
"version": "1.27.1"
},
"nifi_registry": {
"cpu": "2000",
"memory": "1024",
"replica": "1",
"version": "1.27.1"
},
"zookeeper": {
"cpu": "2000",
"memory": "1024",
"replica": "3",
"version": "3.9.2"
}
}
}
Example HTTP response
Response 200
{
"cpu": "CPU",
"err_code": "",
"memory": "Memory",
"result": ""
}
3 - CheckDataFlowNameDuplication
3.1 - 1.1
get /v1/data-flows/{data_flow_name}/check-duplication
Description
Check Duplication Data Flow Name. (false: no duplicate value, true: duplicate value)
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_flow_name required | Data flow name Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DataFlowCheckDuplicationResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flows/{data_flow_name}/check-duplication
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.1"
Example HTTP response
Response 200
{
"result": ""
}
3.2 - 1.0
get /v1/data-flows/{data_flow_name}/check-duplication
Description
Check Duplication Data Flow Name. (false: no duplicate value, true: duplicate value)
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_flow_name required | Data flow name Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DataFlowCheckDuplicationResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flows/{data_flow_name}/check-duplication
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.0"
Example HTTP response
Response 200
{
"result": ""
}
4 - CheckDataFlowServiceNameDuplication
4.1 - 1.1
get /v1/data-flow-services/{data_flow_service_name}/check-duplication
Description
Check Duplication Data Flow Service Name. (false: no duplicate value, true: duplicate value)
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_flow_service_name required | Data flow service name Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DataFlowServiceCheckDuplicationResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flow-services/{data_flow_service_name}/check-duplication
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.1"
Example HTTP response
Response 200
{
"result": ""
}
4.2 - 1.0
get /v1/data-flow-services/{data_flow_service_name}/check-duplication
Description
Check Duplication Data Flow Service Name. (false: no duplicate value, true: duplicate value)
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_flow_service_name required | Data flow service name Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DataFlowServiceCheckDuplicationResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flow-services/{data_flow_service_name}/check-duplication
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.0"
Example HTTP response
Response 200
{
"result": ""
}
5 - CreateDataFlow
5.1 - 1.1
post /v1/data-flows
Description
create data flow
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| body | body required | DataFlowBodyCreate |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flows
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.1"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"data_flow_name": "",
"description": "",
"domain": "",
"dsc_domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"image_id": "",
"ingress_controller_name": "",
"instance_id": "",
"node_selector": "",
"storage_class_name": "",
"tags": [
{
"tag_key": "",
"tag_value": ""
}
]
}
Example HTTP response
Response 202
5.2 - 1.0
post /v1/data-flows
Description
create data flow
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| body | body required | DataFlowBodyCreate |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flows
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.0"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"data_flow_name": "",
"description": "",
"domain": "",
"dsc_domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"image_id": "",
"ingress_controller_name": "",
"instance_id": "",
"node_selector": "",
"storage_class_name": "",
"tags": [
{
"tag_key": "",
"tag_value": ""
}
]
}
Example HTTP response
Response 202
6 - CreateDataFlowService
6.1 - 1.1
post /v1/data-flow-services
Description
Create dataflow service console
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| body | body required | DataFlowServiceCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flow-services
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.1"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"data_flow_id": "",
"data_flow_service_name": "",
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"node_selector": "",
"service_workload": {
"nifi": {
"cpu": "2000",
"memory": "1024",
"replica": "1",
"version": "1.27.1"
},
"nifi_registry": {
"cpu": "2000",
"memory": "1024",
"replica": "1",
"version": "1.27.1"
},
"zookeeper": {
"cpu": "2000",
"memory": "1024",
"replica": "3",
"version": "3.9.2"
}
},
"storage_class_name": "",
"tags": [
{
"tag_key": "",
"tag_value": ""
}
]
}
Example HTTP response
Response 202
6.2 - 1.0
post /v1/data-flow-services
Description
Create dataflow service console
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| body | body required | DataFlowServiceCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flow-services
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.0"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"data_flow_id": "",
"data_flow_service_name": "",
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"node_selector": "",
"service_workload": {
"nifi": {
"cpu": "2000",
"memory": "1024",
"replica": "1",
"version": "1.27.1"
},
"nifi_registry": {
"cpu": "2000",
"memory": "1024",
"replica": "1",
"version": "1.27.1"
},
"zookeeper": {
"cpu": "2000",
"memory": "1024",
"replica": "3",
"version": "3.9.2"
}
},
"storage_class_name": "",
"tags": [
{
"tag_key": "",
"tag_value": ""
}
]
}
Example HTTP response
Response 202
7 - DeleteDataFlow
7.1 - 1.1
delete /v1/data-flows/{data_flow_id}
Description
get data flow
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_flow_id required | Cluster ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241s | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flows/{data_flow_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.1"
Example HTTP response
Response 202
7.2 - 1.0
delete /v1/data-flows/{data_flow_id}
Description
get data flow
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_flow_id required | Cluster ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241s | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flows/{data_flow_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.0"
Example HTTP response
Response 202
8 - DeleteDataFlowService
8.1 - 1.1
delete /v1/data-flow-services/{data_flow_service_id}
Description
delete dataflow service console
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_flow_service_id required | data_flow_service_id Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flow-services/{data_flow_service_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.1"
Example HTTP response
Response 202
8.2 - 1.0
delete /v1/data-flow-services/{data_flow_service_id}
Description
delete dataflow service console
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_flow_service_id required | data_flow_service_id Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flow-services/{data_flow_service_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.0"
Example HTTP response
Response 202
9 - ListDataFlowImages
9.1 - 1.1
get /v1/data-flows/image-versions
Description
Get List of Data Flow Images.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DataFlowImageListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flows/image-versions
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"image_id": "",
"image_name": "",
"version": ""
}
],
"total_count": ""
}
9.2 - 1.0
get /v1/data-flows/image-versions
Description
Get List of Data Flow Images.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DataFlowImageListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flows/image-versions
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"image_id": "",
"image_name": "",
"version": ""
}
],
"total_count": ""
}
10 - ListDataFlowIngressControllers
10.1 - 1.1
get /v1/data-flows/clusters/{cluster_id}/ingress-controllers
Description
ingress by cluster id
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | cluster_id required | Cluster ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flows/clusters/{cluster_id}/ingress-controllers
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.1"
Example HTTP response
Response 200
10.2 - 1.0
get /v1/data-flows/clusters/{cluster_id}/ingress-controllers
Description
ingress by cluster id
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | cluster_id required | Cluster ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flows/clusters/{cluster_id}/ingress-controllers
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.0"
Example HTTP response
Response 200
11 - ListDataFlows
11.1 - 1.1
get /v1/data-flows
Description
get dataflow list console v1.1
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| query | sort optional | sort Example : created_dt:desc | string | created_dt:desc |
| query | cluster_name optional | cluster_name Example : | string | None |
| query | created_by optional | created_by Example : | string | None |
| query | state optional | state Example : | enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING) | None |
| query | version optional | version Example : | string | None |
| query | size optional | size Example : 20 | integer | None |
| query | page optional | page Example : 0 | integer | None |
| query | cluster_id optional | cluster_id Example : | string | None |
| query | data_flow_name optional | data_flow_name Example : | string | None |
| query | region optional | region Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ListDataFlowsConsoleResponseV1Dot1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flows
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"account_id": "",
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_by": "",
"created_dt": "2026-02-11T06:41:26.053Z",
"data_flow_id": "",
"data_flow_name": "",
"image_id": "",
"instance_id": "",
"is_active_image": "",
"modified_by": "",
"modified_dt": "2026-02-11T06:41:26.060Z",
"namespace_name": "",
"state": "",
"version": ""
}
],
"total_count": ""
}
11.2 - 1.0
get /v1/data-flows
Description
get dataflow list console
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| query | sort optional | sort Example : created_dt:desc | string | created_dt:desc |
| query | cluster_name optional | cluster_name Example : | string | None |
| query | created_by optional | created_by Example : | string | None |
| query | state optional | state Example : | enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING) | None |
| query | version optional | version Example : | string | None |
| query | size optional | size Example : 20 | integer | None |
| query | page optional | page Example : 0 | integer | None |
| query | cluster_id optional | cluster_id Example : | string | None |
| query | data_flow_name optional | data_flow_name Example : | string | None |
| query | region optional | region Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ListDataFlowsConsoleResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flows
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_by": "",
"created_dt": "2026-02-11T06:41:25.463Z",
"data_flow_id": "",
"data_flow_name": "",
"image_id": "",
"instance_id": "",
"is_active_image": "",
"modified_by": "",
"modified_dt": "2026-02-11T06:41:25.469Z",
"namespace_name": "",
"state": "",
"version": ""
}
],
"total_count": ""
}
12 - ListDataFlowService
12.1 - 1.1
get /v1/data-flow-services
Description
get dataflow service list console v1.1
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_dt:desc | string | created_dt:desc |
| query | created_by optional | created_by Example : | string | None |
| query | state optional | state Example : | enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING) | None |
| query | data_flow_service_name optional | data_flow_service_name Example : | any of [string, null] | None |
| query | data_flow_name optional | data_flow_name Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ListDataFlowServicesConsoleResponseV1Dot1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flow-services
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.1"
Example HTTP response
Response 200
{
"contents": [
{
"account_id": "",
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_by": "",
"created_dt": "2026-02-11T06:41:25.909Z",
"data_flow_id": "",
"data_flow_name": "",
"data_flow_service_id": "",
"data_flow_service_name": "",
"description": "",
"modified_by": "",
"modified_dt": "2026-02-11T06:41:25.915Z",
"state": "",
"version": ""
}
],
"total_count": ""
}
12.2 - 1.0
get /v1/data-flow-services
Description
get dataflow service list console
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_dt:desc | string | created_dt:desc |
| query | created_by optional | created_by Example : | string | None |
| query | state optional | state Example : | enum (ACTIVE, CREATING, RUNNING, ERROR, TERMINATING, DELETED, UPDATING) | None |
| query | data_flow_service_name optional | data_flow_service_name Example : | any of [string, null] | None |
| query | data_flow_name optional | data_flow_name Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ListDataFlowServicesConsoleResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flow-services
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_by": "",
"created_dt": "2026-02-11T06:41:25.071Z",
"data_flow_id": "",
"data_flow_name": "",
"data_flow_service_id": "",
"data_flow_service_name": "",
"description": "",
"modified_by": "",
"modified_dt": "2026-02-11T06:41:25.077Z",
"state": "",
"version": ""
}
],
"total_count": ""
}
13 - ShowDataFlow
13.1 - 1.1
get /v1/data-flows/{data_flow_id}
Description
get data flow
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_flow_id required | Cluster ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241s | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DataFlowDetailResponseV1Dot1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flows/{data_flow_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.1"
Example HTTP response
Response 200
{
"account": {
"account_id": "",
"account_password": ""
},
"account_id": "",
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"count_data_flow_service": "",
"created_dt": "2026-02-11T06:41:26.085Z",
"data_flow_id": "",
"data_flow_name": "",
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"is_active_image": "",
"modified_dt": "2026-02-11T06:41:26.140Z",
"namespace_name": "",
"node_selector": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}
13.2 - 1.0
get /v1/data-flows/{data_flow_id}
Description
get data flow
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_flow_id required | Cluster ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241s | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DataFlowDetailResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flows/{data_flow_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.0"
Example HTTP response
Response 200
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"count_data_flow_service": "",
"created_dt": "2026-02-11T06:41:25.563Z",
"data_flow_id": "",
"data_flow_name": "",
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"is_active_image": "",
"modified_dt": "2026-02-11T06:41:25.623Z",
"namespace_name": "",
"node_selector": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}
14 - ShowDataFlowService
14.1 - 1.1
get /v1/data-flow-services/{data_flow_service_id}
Description
GET dataflow service console v1.1
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_flow_service_id required | data_flow_service_id Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DataFlowServiceDetailResponseV1Dot1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flow-services/{data_flow_service_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.1"
Example HTTP response
Response 200
{
"account": {
"account_id": "",
"account_password": ""
},
"account_id": "",
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2026-02-11T06:41:25.941Z",
"data_flow_id": "",
"data_flow_name": "",
"data_flow_service_id": "",
"data_flow_service_name": "",
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"host_file_registry": "",
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"is_active_image": "",
"modified_dt": "2026-02-11T06:41:26.001Z",
"namespace_name": "",
"node_selector": "",
"service_workload": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url_nifi": "",
"web_url_registry": ""
}
14.2 - 1.0
get /v1/data-flow-services/{data_flow_service_id}
Description
GET dataflow service console
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_flow_service_id required | data_flow_service_id Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DataFlowServiceDetailResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flow-services/{data_flow_service_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.0"
Example HTTP response
Response 200
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2026-02-11T06:41:25.201Z",
"data_flow_id": "",
"data_flow_name": "",
"data_flow_service_id": "",
"data_flow_service_name": "",
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"host_file_registry": "",
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"is_active_image": "",
"modified_dt": "2026-02-11T06:41:25.261Z",
"namespace_name": "",
"node_selector": "",
"service_workload": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url_nifi": "",
"web_url_registry": ""
}
15 - ShowDataFlowServiceSubVersions
15.1 - 1.1
get /v1/data-flow-services/data-flows/{data_flow_id}/sub-versions
Description
Get List of Data Flow Service Versions.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_flow_id required | Data flow ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DataFlowServiceImageResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flow-services/data-flows/{data_flow_id}/sub-versions
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.1"
Example HTTP response
Response 200
{
"data_flow_service_count": "",
"versions": {
"nifi": "",
"nifiregistry": "",
"zookeeper": ""
}
}
15.2 - 1.0
get /v1/data-flow-services/data-flows/{data_flow_id}/sub-versions
Description
Get List of Data Flow Service Versions.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_flow_id required | Data flow ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DataFlowServiceImageResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flow-services/data-flows/{data_flow_id}/sub-versions
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.0"
Example HTTP response
Response 200
{
"data_flow_service_count": "",
"versions": {
"nifi": "",
"nifiregistry": "",
"zookeeper": ""
}
}
16 - UpdateDataFlow
16.1 - 1.1
put /v1/data-flows/{data_flow_id}
Description
update data flow by flow id
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_flow_id required | Cluster ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241s | string | None |
| body | body required | DataFlowBodyUpdate |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | DataFlowUpdateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flows/{data_flow_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.1"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"node_selector": ""
}
Example HTTP response
Response 202
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"count_data_flow_service": "",
"created_dt": "2026-02-11T06:41:25.706Z",
"data_flow_id": "",
"data_flow_name": "",
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"modified_dt": "2026-02-11T06:41:25.760Z",
"namespace_name": "",
"node_selector": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}
16.2 - 1.0
put /v1/data-flows/{data_flow_id}
Description
update data flow by flow id
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_flow_id required | Cluster ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241s | string | None |
| body | body required | DataFlowBodyUpdate |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | DataFlowUpdateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flows/{data_flow_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.0"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"node_selector": ""
}
Example HTTP response
Response 202
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"count_data_flow_service": "",
"created_dt": "2026-02-11T06:41:25.706Z",
"data_flow_id": "",
"data_flow_name": "",
"description": "",
"domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"modified_dt": "2026-02-11T06:41:25.760Z",
"namespace_name": "",
"node_selector": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url": ""
}
17 - UpdateDataFlowService
17.1 - 1.1
put /v1/data-flow-services/{data_flow_service_id}
Description
update dataflow service console
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_flow_service_id required | data_flow_service_id Example : | string | None |
| body | body required | DataFlowServicesUpdateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | DataFlowServiceUpdateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flow-services/{data_flow_service_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.1"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"node_selector": "",
"service_workload": {
"nifi": {
"cpu": "2000",
"memory": "1024",
"replica": "1",
"version": "1.27.1"
},
"nifi_registry": {
"cpu": "2000",
"memory": "1024",
"replica": "1",
"version": "1.27.1"
},
"zookeeper": {
"cpu": "2000",
"memory": "1024",
"replica": "3",
"version": "3.9.2"
}
}
}
Example HTTP response
Response 202
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2026-02-11T06:41:25.347Z",
"data_flow_id": "",
"data_flow_name": "",
"data_flow_service_id": "",
"data_flow_service_name": "",
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"host_file_registry": "",
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"modified_dt": "2026-02-11T06:41:25.401Z",
"namespace_name": "",
"node_selector": "",
"service_workload": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url_nifi": "",
"web_url_registry": ""
}
17.2 - 1.0
put /v1/data-flow-services/{data_flow_service_id}
Description
update dataflow service console
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| path | data_flow_service_id required | data_flow_service_id Example : | string | None |
| body | body required | DataFlowServicesUpdateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | DataFlowServiceUpdateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-flow-services/{data_flow_service_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-flow 1.0"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"node_selector": "",
"service_workload": {
"nifi": {
"cpu": "2000",
"memory": "1024",
"replica": "1",
"version": "1.27.1"
},
"nifi_registry": {
"cpu": "2000",
"memory": "1024",
"replica": "1",
"version": "1.27.1"
},
"zookeeper": {
"cpu": "2000",
"memory": "1024",
"replica": "3",
"version": "3.9.2"
}
}
}
Example HTTP response
Response 202
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"cluster_name": "",
"cluster_permission": {},
"cluster_request_failed": false,
"created_dt": "2026-02-11T06:41:25.347Z",
"data_flow_id": "",
"data_flow_name": "",
"data_flow_service_id": "",
"data_flow_service_name": "",
"description": "",
"domain": "",
"host_alias": {
"enabled": "true",
"host_alias_list": [
{
"hostname": "",
"ip": ""
}
]
},
"host_file_registry": "",
"hosts_file": "",
"http_port": "",
"https_port": "",
"image_id": "",
"ingress_class_name": "",
"instance_id": "",
"modified_dt": "2026-02-11T06:41:25.401Z",
"namespace_name": "",
"node_selector": "",
"service_workload": "",
"state": "",
"storage_class_name": "",
"version": "",
"web_url_nifi": "",
"web_url_registry": ""
}